summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorPetteri Räty <betelgeuse@gentoo.org>2007-03-17 13:26:12 +0000
committerPetteri Räty <betelgeuse@gentoo.org>2007-03-17 13:26:12 +0000
commitf1c39b9a049a2a427804639b55789a1fef0500e5 (patch)
tree3be4195e9394ec33a610641c52bc33228badbbb6 /eclass
parentStable on ppc wrt bug 171063 (diff)
downloadhistorical-f1c39b9a049a2a427804639b55789a1fef0500e5.tar.gz
historical-f1c39b9a049a2a427804639b55789a1fef0500e5.tar.bz2
historical-f1c39b9a049a2a427804639b55789a1fef0500e5.zip
Check that app-arch/zip is in DEPEND in java-pkg_dosrc.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/java-utils-2.eclass16
1 files changed, 12 insertions, 4 deletions
diff --git a/eclass/java-utils-2.eclass b/eclass/java-utils-2.eclass
index 564f597e22af..f09c93e5ab5c 100644
--- a/eclass/java-utils-2.eclass
+++ b/eclass/java-utils-2.eclass
@@ -6,7 +6,7 @@
#
# Licensed under the GNU General Public License, v2
#
-# $Header: /var/cvsroot/gentoo-x86/eclass/java-utils-2.eclass,v 1.65 2007/03/06 12:14:49 betelgeuse Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/java-utils-2.eclass,v 1.66 2007/03/17 13:26:12 betelgeuse Exp $
# -----------------------------------------------------------------------------
@@ -586,14 +586,22 @@ java-pkg_dosrc() {
debug-print-function ${FUNCNAME} $*
[ ${#} -lt 1 ] && die "At least one argument needed"
- if ! hasq source ${IUSE}; then
- echo "Java QA Notice: ${FUNCNAME} called without source in IUSE"
- fi
java-pkg_check-phase install
[[ ${#} -lt 1 ]] && die "At least one argument needed"
+ if ! [[ ${DEPEND} = *app-arch/zip* ]]; then
+ local msg="${FUNCNAME} called without app-arch/zip in DEPEND"
+ if is-java-strict; then
+ eerror "${msg}"
+ die "${msg}"
+ else
+ echo "${msg}"
+ echo "Please report this to http://bugs.gentoo.org."
+ fi
+ fi
+
java-pkg_init_paths_
local zip_name="${PN}-src.zip"